/**Begin C:\Users\rd_xiang_qiu\Desktop\PDM规范\PDM_UPGRADE\pdm1\BOS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BAS_IMAGEREMIND') 
 CREATE TABLE T_BAS_IMAGEREMIND (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FMESSAGETITLE NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FEXPIREDDAY INT DEFAULT 0 NOT NULL,
FREMINDCYCLE INT DEFAULT 0 NOT NULL,
FMESSAGECHANNEL NVARCHAR(10) DEFAULT ' ' NOT NULL,
FMESSAGEOBJECT NVARCHAR(10) DEFAULT ' ' NOT NULL,
FMESSAGETEMPLATE NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FPRIORITY NVARCHAR(10) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BAS_IMAGEREMINDRECORD') 
 CREATE TABLE T_BAS_IMAGEREMINDRECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FFIRSTREMIND DATETIME,
FLATESTREMIND DATETIME,
FMESSAGEID NVARCHAR(100) DEFAULT ' ' NOT NULL,
FREMINDTIME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FIMAGENUMBER NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BAS_IMAGEREMINDORG') 
 CREATE TABLE T_BAS_IMAGEREMINDORG (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BAS_IMAGEREMINDBILL') 
 CREATE TABLE T_BAS_IMAGEREMINDBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BAS_IMAGEREMIND_L') 
 CREATE TABLE T_BAS_IMAGEREMIND_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End C:\Users\rd_xiang_qiu\Desktop\PDM规范\PDM_UPGRADE\pdm1\BOS_table.sql **/
